Nettstedslogo

Kontobetalinger

GET https://gratisqrcode.nl/api/payments/
curl --request GET \
--url 'https://gratisqrcode.nl/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Parametere Detaljer Beskrivelse
processor Valgfritt Streng Tillatte verdier: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut, invoice
status Valgfritt Streng Tillatte verdier: paid, pending, cancelled, refunded
type Valgfritt Streng Tillatte verdier: one_time, recurring
frequency Valgfritt Streng Tillatte verdier: monthly, quarterly, biannual, annual, lifetime
datetime_field Valgfritt Streng Tillatte verdier: datetime
datetime_start Valgfritt Streng Filtrer resultater fra og med dette tidspunktet. Format Y-m-d H:i:s.
datetime_end Valgfritt Streng Filtrer resultater til og med dette tidspunktet. Format Y-m-d H:i:s.
order_by Valgfritt Streng Hvilket felt resultatene skal sorteres etter. Tillatte verdier er: id, datetime, total_amount.
order_type Valgfritt Streng Sorteringsrekkefølgen for resultatene. Tillatte verdier er: ASC for stigende sortering, og DESC for synkende sortering.
page Valgfritt Heltall Sidenummeret du vil ha resultater fra. Standard er 1.
results_per_page Valgfritt Heltall Hvor mange resultater du vil ha per side. Tillatte verdier er: 10, 25, 50, 100, 250, 500, 1000. Standard er 25.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-08-19 12:29:34",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://gratisqrcode.nl/api/payments?page=1",
        "last": "https://gratisqrcode.nl/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://gratisqrcode.nl/api/payments?page=1"
    }
}
GET https://gratisqrcode.nl/api/payments/{payment_id}
curl --request GET \
--url 'https://gratisqrcode.nl/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-08-19 12:29:34",
    }
}